build system: Persist CrossCompiling in binary distributions
ClosedPublic

Authored by bgamari on Feb 23 2017, 6:46 PM.

Details

Summary

The build system uses the CrossCompiling variable to decide whether or not we
should build various packages that must be built using the compiler.
Consequently, it is important that we persist its value in the binary
distribution so we know during make install not to go looking for files that
would have been built for these packages. Failing to do this causes Trac #13325.

Test Plan

Cross compile, make binary-dist, and try installing the binary distribution on the target

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bgamari created this revision.Feb 23 2017, 6:46 PM

Adding everyone I can think of who has cross-compiled.

trofi accepted this revision.Feb 24 2017, 2:14 AM
This revision is now accepted and ready to land.Feb 24 2017, 2:14 AM
rwbarton accepted this revision.Feb 24 2017, 11:16 AM

Is it explained somewhere obvious which kind of bindist we produce when cross-compiling? In principle it would make sense to be able to build a binary distribution containing either the cross-compiler or the cross-compiled stage 2 compiler. They would need different builds of the various utilities.

carter added a subscriber: carter.Feb 25 2017, 5:11 PM

these cross compiling notes are specifically for registerized builds? and or does configure autodetect if the right x-compile tools are around?

This revision was automatically updated to reflect the committed changes.